Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1075035 - Review Request: nodejs-serve-static - Middleware for serving static files for Node.js and Connect
Summary: Review Request: nodejs-serve-static - Middleware for serving static files for...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1003338
TreeView+ depends on / blocked
 
Reported: 2014-03-11 11:39 UTC by Jamie Nguyen
Modified: 2014-03-15 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-15 16:35:50 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2014-03-11 11:39:26 UTC
Spec URL: http://jamielinux.fedorapeople.org/connect/nodejs-serve-static.spec
SRPM URL: http://jamielinux.fedorapeople.org/connect/SRPMS/nodejs-serve-static-1.0.2-1.fc21.src.rpm
Fedora Account System Username: jamielinux

Description:
Middleware for serving static files for Node.js and Connect.

Comment 1 Tom Hughes 2014-03-11 19:07:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Rpmlint is run on all installed packages.

Test install failed due to dependency on unpackaged send module.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.36 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.36
INFO: Mock Version: 1.1.36
Start: lock buildroot
INFO: installing package(s): /home/tom/1075035-nodejs-serve-static/results/nodejs-serve-static-1.0.2-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/compton-rawhide-x86_64/root/', 'install', '/home/tom/1075035-nodejs-serve-static/results/nodejs-serve-static-1.0.2-1.fc21.noarch.rpm']
Error: Package: nodejs-serve-static-1.0.2-1.fc21.noarch (/nodejs-serve-static-1.0.2-1.fc21.noarch)
           Requires: npm(send) = 0.2.0
           Available: nodejs-send-0.1.4-1.fc21.noarch (fedora)
               npm(send) = 0.1.4
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: nodejs-serve-static-1.0.2-1.fc21.noarch.rpm
          nodejs-serve-static-1.0.2-1.fc21.src.rpm
nodejs-serve-static.noarch: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
nodejs-serve-static.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-serve-static.noarch: W: spelling-error %description -l en_US Middleware -> Middle ware, Middle-ware, Middleweight
nodejs-serve-static.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-serve-static.noarch: W: only-non-binary-in-usr-lib
nodejs-serve-static.noarch: W: dangling-symlink /usr/lib/node_modules/serve-static/node_modules/send /usr/lib/node_modules/send
nodejs-serve-static.src: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
nodejs-serve-static.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-serve-static.src: W: spelling-error %description -l en_US Middleware -> Middle ware, Middle-ware, Middleweight
nodejs-serve-static.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-serve-static.src: W: invalid-url Source1: tests-v1.0.2.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 11 warnings.




Requires
--------
nodejs-serve-static (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(send)



Provides
--------
nodejs-serve-static:
    nodejs-serve-static
    npm(serve-static)



Source checksums
----------------
http://registry.npmjs.org/serve-static/-/serve-static-1.0.2.tgz :
  CHECKSUM(SHA256) this package     : 1448902b2afeb637af4fcfcf34a537394afa81280273080bf9094040dabbb445
  CHECKSUM(SHA256) upstream package : 1448902b2afeb637af4fcfcf34a537394afa81280273080bf9094040dabbb445


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1075035
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jamie Nguyen 2014-03-11 20:54:06 UTC
(In reply to Tom Hughes from comment #1)
> Issues:
> =======
> [!]: Rpmlint is run on all installed packages.
> 
> Test install failed due to dependency on unpackaged send module.

nodejs-send is already packaged but nodejs-serve-static doesn't seem to like the version in the repositories (0.1.4). I've already prepared an update to send@0.2.0 but not built it yet on rawhide as connect/express/jade/mocha plus the gazillion deps all need to be built and pushed at the same time otherwise there'll be tonnes of conflicts.


Here's the package I've been using. All tests pass for me.

http://jamielinux.fedorapeople.org/RPMS/nodejs-send-0.2.0-1.fc21.noarch.rpm

Comment 3 Tom Hughes 2014-03-11 22:17:12 UTC
Yeah I ran the tests with npm installed dependencies and it all looked good. Package is approved then.

Comment 4 Jamie Nguyen 2014-03-11 22:20:11 UTC
New Package SCM Request
=======================
Package Name: nodejs-serve-static
Short Description: Middleware for serving static files for Node.js and Connect
Owners: jamielinux patches
Branches: f19 f20 el6 
InitialCC:

Comment 5 Gwyn Ciesla 2014-03-12 12:16:06 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.